<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Home' | translate }} >> {{ 'Notices' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>

    <div *ngIf="!this.cache?.isLoading">
        <ion-list *ngFor="let notice of this.cache?.objects">
            <ion-card (click)="this.cache.getObject(notice.id)">
                <ion-item>
                    <ion-label> 
                        <ion-icon name="megaphone"></ion-icon>                       
                       {{notice.title}}
                    </ion-label>
                    <ion-icon end *ngIf="notice.unRead" name="mail-unread"></ion-icon>
                </ion-item>
                <ion-card-content>
                    <div>
                        <ion-text readonly>
                            <ion-icon name="list-circle"></ion-icon>
                            {{notice.description}}
                        </ion-text>
                    </div>
                    <ion-label *ngIf="isExpired(notice.validity)" color="danger">
                        <ion-icon name="calendar"></ion-icon>
                        {{getLocalTime(notice.validity) | date:'medium'}}
                    </ion-label>

                    <ion-label *ngIf="!isExpired(notice.validity)" color="success">
                        <ion-icon name="calendar"></ion-icon>
                        {{getLocalTime(notice.validity) | date:'medium'}}
                    </ion-label>
                </ion-card-content>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects?.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>
        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>